<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Tue Oct 31 17:11:49 CET 2023 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-10-31">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../org/ludo/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../org/ludo/TailleVetement.html#S" class="member-name-link">S</a> - Enum constant in enum class org.ludo.<a href="../org/ludo/TailleVetement.html" title="enum class in org.ludo">TailleVetement</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Main.html#sauvegarde()" class="member-name-link">sauvegarde()</a> - Static method in class org.ludo.<a href="../org/ludo/Main.html" title="class in org.ludo">Main</a></dt>
<dd>
<div class="block">Fait la sérialisation</div>
</dd>
<dt><a href="../org/ludo/Vetement.html#sauvegarderChoix()" class="member-name-link">sauvegarderChoix()</a> - Static method in class org.ludo.<a href="../org/ludo/Vetement.html" title="class in org.ludo">Vetement</a></dt>
<dd>
<div class="block">Cette méthode sert à créer une liste des choix validés par l'utilisateur quant à tous ses choix vestimentaires.</div>
</dd>
<dt><a href="../org/ludo/Serialization.html#serialisationJoueur()" class="member-name-link">serialisationJoueur()</a> - Static method in class org.ludo.<a href="../org/ludo/Serialization.html" title="class in org.ludo">Serialization</a></dt>
<dd>
<div class="block">Serialise les données du joueur</div>
</dd>
<dt><a href="../org/ludo/Serialization.html#serialisationVehicules()" class="member-name-link">serialisationVehicules()</a> - Static method in class org.ludo.<a href="../org/ludo/Serialization.html" title="class in org.ludo">Serialization</a></dt>
<dd>
<div class="block">Serialise la liste de véhicules</div>
</dd>
<dt><a href="../org/ludo/Serialization.html" class="type-name-link" title="class in org.ludo">Serialization</a> - Class in <a href="../org/ludo/package-summary.html">org.ludo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Serialization.html#%3Cinit%3E()" class="member-name-link">Serialization()</a> - Constructor for class org.ludo.<a href="../org/ludo/Serialization.html" title="class in org.ludo">Serialization</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Personnage.html#setArgent(java.lang.Integer)" class="member-name-link">setArgent(Integer)</a> - Method in class org.ludo.<a href="../org/ludo/Personnage.html" title="class in org.ludo">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Coiffeur.html#setClient(org.ludo.Personnage)" class="member-name-link">setClient(Personnage)</a> - Method in class org.ludo.<a href="../org/ludo/Coiffeur.html" title="class in org.ludo">Coiffeur</a></dt>
<dd>
<div class="block">Le setter</div>
</dd>
<dt><a href="../org/ludo/Avion.html#setCouleur(java.lang.String)" class="member-name-link">setCouleur(String)</a> - Method in class org.ludo.<a href="../org/ludo/Avion.html" title="class in org.ludo">Avion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Bateau.html#setCouleur(java.lang.String)" class="member-name-link">setCouleur(String)</a> - Method in class org.ludo.<a href="../org/ludo/Bateau.html" title="class in org.ludo">Bateau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Camion.html#setCouleur(java.lang.String)" class="member-name-link">setCouleur(String)</a> - Method in class org.ludo.<a href="../org/ludo/Camion.html" title="class in org.ludo">Camion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moto.html#setCouleur(java.lang.String)" class="member-name-link">setCouleur(String)</a> - Method in class org.ludo.<a href="../org/ludo/Moto.html" title="class in org.ludo">Moto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Personnage.html#setLongueurCheveux(java.lang.Integer)" class="member-name-link">setLongueurCheveux(Integer)</a> - Method in class org.ludo.<a href="../org/ludo/Personnage.html" title="class in org.ludo">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Avion.html#setSanteCarrosserie(java.lang.Integer)" class="member-name-link">setSanteCarrosserie(Integer)</a> - Method in class org.ludo.<a href="../org/ludo/Avion.html" title="class in org.ludo">Avion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Bateau.html#setSanteCarrosserie(java.lang.Integer)" class="member-name-link">setSanteCarrosserie(Integer)</a> - Method in class org.ludo.<a href="../org/ludo/Bateau.html" title="class in org.ludo">Bateau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Camion.html#setSanteCarrosserie(java.lang.Integer)" class="member-name-link">setSanteCarrosserie(Integer)</a> - Method in class org.ludo.<a href="../org/ludo/Camion.html" title="class in org.ludo">Camion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moto.html#setSanteCarrosserie(java.lang.Integer)" class="member-name-link">setSanteCarrosserie(Integer)</a> - Method in class org.ludo.<a href="../org/ludo/Moto.html" title="class in org.ludo">Moto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moteur.html#setSanteMoteur(int)" class="member-name-link">setSanteMoteur(int)</a> - Method in class org.ludo.<a href="../org/ludo/Moteur.html" title="class in org.ludo">Moteur</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Avion.html#setType(java.lang.String)" class="member-name-link">setType(String)</a> - Method in class org.ludo.<a href="../org/ludo/Avion.html" title="class in org.ludo">Avion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Bateau.html#setType(java.lang.String)" class="member-name-link">setType(String)</a> - Method in class org.ludo.<a href="../org/ludo/Bateau.html" title="class in org.ludo">Bateau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Camion.html#setType(java.lang.String)" class="member-name-link">setType(String)</a> - Method in class org.ludo.<a href="../org/ludo/Camion.html" title="class in org.ludo">Camion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moto.html#setType(java.lang.String)" class="member-name-link">setType(String)</a> - Method in class org.ludo.<a href="../org/ludo/Moto.html" title="class in org.ludo">Moto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Main.html#setVehicule(java.lang.Integer)" class="member-name-link">setVehicule(Integer)</a> - Static method in class org.ludo.<a href="../org/ludo/Main.html" title="class in org.ludo">Main</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Personnage.html#setVehiculeAcheterList(java.util.List)" class="member-name-link">setVehiculeAcheterList(List&lt;Vehicule&gt;)</a> - Method in class org.ludo.<a href="../org/ludo/Personnage.html" title="class in org.ludo">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Main.html#setVehiculeAConduireList(java.util.List)" class="member-name-link">setVehiculeAConduireList(List&lt;Vehicule&gt;)</a> - Static method in class org.ludo.<a href="../org/ludo/Main.html" title="class in org.ludo">Main</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Personnage.html#setVehiculeConduit(org.ludo.Vehicule)" class="member-name-link">setVehiculeConduit(Vehicule)</a> - Method in class org.ludo.<a href="../org/ludo/Personnage.html" title="class in org.ludo">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/TypeVetement.html#SHORT" class="member-name-link">SHORT</a> - Enum constant in enum class org.ludo.<a href="../org/ludo/TypeVetement.html" title="enum class in org.ludo">TypeVetement</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
